<!DOCTYPE html>
<htm>
  <head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width,initial-scale=1.0"/>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@500&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@200;500&display=swap" rel="stylesheet">
    <title>Azure Quiz</title>
    <style>
      body{
        margin:0px;
        padding:0px;
       background: linear-gradient(90deg, rgb(33, 34, 33) 43%, rgb(47, 48, 47) 100%);
        height: 100%;
        width: 100%;
      }
      .quiz-app{
        margin: 8px auto;
        height: 1000px;
        width:660px;
        border-radius: 0px;
      }
      #code{
        margin-left: 250px;
        font-family: 'Montserrat', sans-serif;
        font-weight: 400;
        color:#BFBFBF;
        
      }
      .time-bar{
        margin:30px auto;
        width: 300px;
        height:30px;
        border-style: solid;
        border-width: 2px;
        border-radius: 30px;
        border-color: transparent;
        background-color:transparent;
      }
      .time-left{
        width: 300px;
        height:30px;
        border-style: none;
        border-radius: 30px;
        border-color: transparent;
        background-color: transparent;

        
      }
      .time{
        font-family: 'Montserrat', sans-serif;
        font-weight: 400;
        color:white;
        text-align: center;
      }
      .q-text{
        color:#8E97BD;
        text-align: left;
        margin-left:20px;
        margin-top: 30px;
         font-family: 'Montserrat', sans-serif;
        font-weight: 900;
        font-size: 20px;
      }
      #question{
         font-family: 'Montserrat', sans-serif;
        font-weight: 900;
        font-size: 25px;
        color:white;
        padding:10px 5px 10px 5px;

      }
      .btn{
        width: 250px;
        height: 50px;
        margin-bottom: 10px;
        margin-left: 40px;
         font-family: 'Montserrat', sans-serif;
        font-weight: 400;
        font-size: 15px;
        border-style: solid;
        border-width: 3px;
        border-radius: 20px;
        background-color:transparent;
        color:white;
        border-color: #254567;
        outline:none;
        
        
      }
      .btn:hover{
        background: linear-gradient(90deg, rgba(250,81,113,1) 46%, rgba(250,81,113,1) 50%, rgba(37,44,74,1) 100%);
        
      }
      #next{
        padding: 15px 40px 15px 40px;
          font-family: 'Montserrat', sans-serif;
        font-weight: 900;
        font-size: 15px;
        border-style: solid;
        border-width: 3px;
        border-radius: 30px;
        background-color:#117EEB;
        color:white;
        border-color: #117EEB;
        margin-left: 100px;
        margin-top: 10px;
        outline:none;


      }
      #next:hover{
        background-color: white;
        color:#117EEB;
        border-color:white;
      }
      #dots{
        color:#8E97BD;
        margin-left: 20px;
        margin-top: -20px;
      }
      .il{
        color:white;
        font-size: 100px;
        margin-top:130px;
        margin-left: 250px;
        
      }
      .app{
        font-family: 'Montserrat', sans-serif;
        font-weight: 900;
        font-size: 35px;
        color:white;
        text-align: center;

      }
      
      
    </style>
  </head>
  <body>
    <div class="main-div">
        <div class="quiz-app">
        <div class="start" id="start" style="display: block;">
        <img src="images\ck.jpeg" height="120px" width="120px" class="il"/>
        <h1 class="app">Azure Quiz</h1>
        <p id="code">&copy; Cloud Binary</p>
        </div>
          <div class="quiz" id="quiz-secreen" style="display:none;">          
            <div class="time-bar">
            <div class="time-left" id="timeLeft">
            
            </div>
          </div>
          <div class="question-no">
            <h3 class="q-text">Questions<span id="currentQuestion"> 1</span> / <span id="totalQuestions"> 10</span></h3>
            <h3 id="dots">.............................................................</h3>
       </div>
          <div class="qus">
            <h1 id="question">Who is the first child of the john doe?</h1>

          </div>
          <div class="choices">
            <button class="btn" id="opt1">Mark Angel</button>
            <button class="btn" id="opt2">Mark Angel</button>
            <button class="btn" id="opt3">Mark Angel</button>
            <button class="btn" id="opt4">Mark Angel</button>
          </div>
          <div class="next-btn">
            <button id="next">Next</button>
          </div>
        </div>
        <div class="result" id="resultSecreen" style="display: none;">
           <img src="C:\Users\ADMIN\Downloads\quiz-master\quiz-master\ck.jpeg" height="120px" width="120px" class="il"/>
        <h1 class="app"> Score : <span id="score">6</span></h1>
        <p id="code">&copy; Cloud Binary</p>


        </div>
        </div>
    </div>
    <script> 
    
    var currentQuestion=0;
    var totalScore=0;
    var cQuestion=document.getElementById('currentQuestion');
    var totalQuestions=document.getElementById('totalQuestions');
    var splashSecreen=document.getElementById('start');
    var quizScreen=document.getElementById('quiz-secreen');
    var x=0;
    var resultSecreen=document.getElementById('resultSecreen');
    
    var score=document.getElementById('score');
    var question=document.getElementById('question');
    var opt1=document.getElementById('opt1');
    var opt2=document.getElementById('opt2');
    var opt3=document.getElementById('opt3');
    var opt4=document.getElementById('opt4');
    var btn=document.getElementsByClassName('btn');
    var next=document.getElementById('next');
    var quizQuestions=[
      {
        question:"Azure VMs and storage services fall under which of the following cloud computing models? ",
        choice1:"IaaS",
        choice2:"PaaS",
        choice3:"SaaS",
        choice4:"all the above",
        ans:"IaaS",
      },
         {
        question:"Which Azure management tool analyzes resources and provides recommendations to optimize deployments?",
        choice1:"Azure Advisor",
        choice2:"Azure Recommend",
        choice3:"Azure Proactive",
        choice4:"Azure Optimize",
        ans:"Azure Advisor",
      },
         {
        question:"Which of the following Azure services helps enterprises deploy and manage a hybrid cloud architecture?",
        choice1:"Azure Outposts",
        choice2:"Azure Pack",
        choice3:"Azure Stack",
        choice4:"Azure Hybrid",
        ans:"Azure Stack",
      },
         {
        question:"Azure experienced a multiday outage in March 2020 that affected customers in Europe and the United Kingdom. Customers were unable to spin up VMs and suffered delays with Azure Pipeline. What caused the outage?",
        choice1:"Human error",
        choice2:"Capacity issues",
        choice3:"Severe weather",
        choice4:"Security breach",
        ans:"Capacity issues",
      },
         {
        question:"Azure Service Fabric is a distributed systems platform aimed primarily at:",
        choice1:"Containers and microservices",
        choice2:"Serverless architectures",
        choice3:"Blockchain projects",
        choice4:"All of the above",
        ans:"Containers and microservices",
      }
    ];
    function nextQuestion(no){
    Inter(300);
    cQuestion.textContent=" "+(no+1);
    totalQuestions.textContent=" "+quizQuestions.length;
    console.log("number "+no);
    question.textContent=quizQuestions[no].question;
    opt1.textContent=quizQuestions[no].choice1;
    opt2.textContent=quizQuestions[no].choice2;
    opt3.textContent=quizQuestions[no].choice3;
    opt4.textContent=quizQuestions[no].choice4;
  }
    var z=setInterval(function(){
        if(x==1){
          clearInterval(z);
          splashSecreen.style.display="none";
          quizScreen.style.display="block";
          nextQuestion(currentQuestion);
        }
        x++;
    },2000);
    for(var i=0;i<btn.length;i++){
      btn[i].onclick=function(){
        if(this.textContent==quizQuestions[currentQuestion].ans){
            totalScore++;
            if(currentQuestion<4){
            clearInterval(bar);
            currentQuestion++;
            nextQuestion(currentQuestion);
            console.log(totalScore);
            }else{
              endSecreen();
            }
        }
        else{
          if(currentQuestion<4){
            currentQuestion++;
            clearInterval(bar);
            nextQuestion(currentQuestion);
            console.log(totalScore);
            }else{
              endSecreen();
            }
        }
      }
    }
    var bar;
    function endSecreen(){
      quizScreen.style.display="none";
      resultSecreen.style.display="block";
      score.textContent=totalScore;
    }
    function Inter(set){
    var statusTime=set;
    timeLeft.style.width=statusTime+"px";
    bar=setInterval(function(){
     if(statusTime==0){
         clearInterval(bar); 
          if(currentQuestion<4){
            currentQuestion++;
            nextQuestion(currentQuestion);
          }
          else{
            endSecreen();
          } 
           
        }
        timeLeft.style.width=statusTime+"px";
        statusTime=statusTime-30;
    },10000); 
   }
  next.onclick=function(){
    if(currentQuestion<4){
    currentQuestion++;
    nextQuestion(currentQuestion);
    }
    else{
      endSecreen();
    }
   
  }
    </script>
  </body>
</htm>